Summary:        MRT file reader
Name:           libbgpdump
Version:        1.6.2
Release:        2%{?dist}
License:        GPL
URL:            https://github.com/RIPE-NCC/bgpdump/wiki
Source0:        https://github.com/RIPE-NCC/bgpdump/releases/download/v%{version}/%{name}-%{version}.tgz

# https://github.com/RIPE-NCC/bgpdump/issues/11
Patch3000:      https://github.com/RIPE-NCC/bgpdump/commit/2fc04a828fe35dc84654164157966b0823429c81.patch#/libbgpdump-1.6.2-soname-versioning.patch
BuildRequires:  gcc make
BuildRequires:  bzip2-devel zlib-devel

%description
This library reads MRT files as, amongst others, produced
by the RIPE NCC routing information service.
This library is maintained by the RIPE NCC Information
Services department: ris@ripe.net

%package devel
Summary:        Libraries, includes to develop applications with libbgpdump
Requires:       %{name} = %{version}-%{release}

%description devel
The libbgpdump-devel package contains the header files and static libraries for
building applications which use libbgpdump.

%package -n bgpdump
Summary:        MRT file reader for handling BGP related data
Requires:       %{name} = %{version}-%{release}

%description -n bgpdump
Bgpdump translates (possibly compressed) binary MRT RIB dump files, e.g.
produced by Zebra/Quagga, BIRD, OpenBGPD or PyRT, into human readable
output. Publicly available MRT RIB dump files are e.g. supplied by the
RIPE NCC routing information service (RIPE RIS).

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/%{name}.a

%check
export LD_LIBRARY_PATH="$LD_LIBRARY_PATH:%{buildroot}%{_libdir}"
%{buildroot}%{_bindir}/bgpdump -T


%files
%license COPYING
%doc ChangeLog README
%{_libdir}/%{name}.so.0*

%files devel
%{_libdir}/%{name}.so
%{_includedir}/bgpdump_attr.h
%{_includedir}/bgpdump_formats.h
%{_includedir}/bgpdump_lib.h
%{_includedir}/bgpdump_mstream.h

%files -n bgpdump
%{_bindir}/bgpdump

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.2-2
- Rebuilt for loongarch release

* Mon Dec 04 2023 Miaojun Dong <zoedong@tencent.com> - 1.6.2-1
- Initial build
